Как отключить обновление MT4 и откатить версию

Отключаем обновление MT4

Если у вас при использовании DLL файла перестал открываться сам терминал MetaTrader4, это значит, что файл DLL не подходит под новую версию билда МТ4, что стоит у вас. MQL часто вводит новые способы защиты териминала в обновлениях и иногда такое бывает, что старый DLL не работает на новых версиях MT4.

В таком случае, вам нужно отключить обновление Metatrader4 и откатить ее на версию, при котором DLL файл будет работать нормально, а терминал открываться. (На сегодня откатываем до 1340)

Чтобы запретить автоматическое обновление терминала делаем следующее.

  1. Нам нужно зайти в папку: C:\Users\Имя Пользователя (Если вы используете удаленный сервер от ZOMRO, то у вас Имя Пользователя = Administrator), далее в поисковой строке добавьте путь \AppData\Roaming\MetaQuotes вручную, так как зачастую эта папка не отображается в списке видимых папок. Полный путь у вас будет такой как на скрине ниже 👇.
  2. В этой папке переименовываем папку WebInstall в WebInstall.bak и создаем файл без расширения.
    Либо просто качаем этот приготовленный мной файл WebInstall и кидаем в папку (только разархивируйте сначала этот файл).

обновление терминала


Если вам нужно установить более старую версию терминала MT4

После этого заменяем запускаемый файл terminal.exe на нужную версию. (Для этого жмем по ссылке нужного терминала на рабочем столе и выбираем - расположение файла, там ищем файл terminal.exe. Его и нужно заменить на нужную версию, по необходимости)

Если у вас нет нужной версии то можно скачать отсюда: https://github.com/rosasurfer/mt4-mql

Для резерва, вот ссылки на некоторые более важные версии:

Terminal build 1280

Terminal build 1330

Terminal build 1332

Terminal build 1335

Terminal build 1340

Terminal build 1350

Terminal build 1353

Terminal build 1355


1013 02.06.2021